Your achievements

Level 1

0% to

Level 2

Tip /
Sign in

Sign in to Community

to gain points, level up, and earn exciting badges like the new
Bedrock Mission!

Learn more

View all

Sign in to view all badges

SOLVED

GraphQL setting in AEM 6.5

Avatar

Level 1

Hello,
I am trying to install and use Graph QL in AEM 6.5 version, I have installed grpahqli-0.0.4  version but now i am unable to start GraphQL, anyone can guide me next, what is missing or what I should do now  ?

Rizwan

Topics

Topics help categorize Community content and increase your ability to discover relevant content.

1 Accepted Solution

Avatar

Correct answer by
Community Advisor

Hi @RizwanZafar,

To use GraphQL on AEM 6.5 following requirements needs to be fulfilled:

  • SP10 or newer needs to be installed, as per release notes SP10 is the first SP that adds GraphQL support to AEM 6.5
  • GraphQL endpoints need to be configured - see this documentation to get more information how to do this - https://experienceleague.adobe.com/docs/experience-manager-learn/getting-started-with-aem-headless/g...
  • install graphiql-0.0.4.zip or graphiql-0.0.6.zip - this is only developers tool, and it will not work if previews two points are not met. Please also keep in mind that on AEM 6.5 this tool will be available under /content/graphiql.html and will not be accessible from any other console or view. You have to use direct link.
  • cfm-graphql-index-def-1.0.0.zip - this package provides oak index definition.

All above packages can be found under Software Distribution portal.

Last but not least, please explore this guide, it describes step by step how to configure GraphQL on AEM 6.5 - https://kiransg.com/2021/12/04/aem-content-fragments-with-graphql-getting-started-with-graphql/

View solution in original post

4 Replies

Avatar

Correct answer by
Community Advisor

Hi @RizwanZafar,

To use GraphQL on AEM 6.5 following requirements needs to be fulfilled:

  • SP10 or newer needs to be installed, as per release notes SP10 is the first SP that adds GraphQL support to AEM 6.5
  • GraphQL endpoints need to be configured - see this documentation to get more information how to do this - https://experienceleague.adobe.com/docs/experience-manager-learn/getting-started-with-aem-headless/g...
  • install graphiql-0.0.4.zip or graphiql-0.0.6.zip - this is only developers tool, and it will not work if previews two points are not met. Please also keep in mind that on AEM 6.5 this tool will be available under /content/graphiql.html and will not be accessible from any other console or view. You have to use direct link.
  • cfm-graphql-index-def-1.0.0.zip - this package provides oak index definition.

All above packages can be found under Software Distribution portal.

Last but not least, please explore this guide, it describes step by step how to configure GraphQL on AEM 6.5 - https://kiransg.com/2021/12/04/aem-content-fragments-with-graphql-getting-started-with-graphql/

Avatar

Level 2

As you said the option is not available on the menu, but going directly to the url http://localhost:4502/content/graphiql.html is goin fine but I can't see the dropdown to select the endpoint and the option to save queries.

JacoboAdolfo_0-1671545960573.pngJacoboAdolfo_1-1671545964678.png

Do you know what is the cause?

 

Thanks!

 

Avatar

Employee

@JacoboAdolfo 

GraphiQL interface  is bound to global endpoint especially for AEM On Prem. On AEMaaCS, we have the option to select EndPoints for GraphiQL interface. Look into below highlighted link
https://www.albinsblog.com/2021/10/how-to-deliver-headless-content-through-graphql-api-and-content-f....